| 0.9.9 API documenation

- Main Page
- Modules
- Files

Functions
GLM_GTX_polar_coordinates
Experimental extensions

Include <glm/gtx/polar_coordinates.hpp> to use the features of this extension. More...

## Functions
template<typename T , qualifier Q>
GLM_FUNC_DECL vec< 3, T, Q > | euclidean (vec< 2, T, Q > const &polar)
| Convert Polar to Euclidean coordinates. More...
template<typename T , qualifier Q>
GLM_FUNC_DECL vec< 3, T, Q > | polar (vec< 3, T, Q > const &euclidean)
| Convert Euclidean to Polar coordinates, x is the xz distance, y, the latitude and z the longitude. More...

## Detailed Description

Include <glm/gtx/polar_coordinates.hpp> to use the features of this extension.

Conversion from Euclidean space to polar space and revert.

## Function Documentation

GLM_FUNC_DECL vec<3, T, Q> glm::euclidean | ( | vec< 2, T, Q > const & | polar | ) |

Convert Polar to Euclidean coordinates.

See also
  GLM_GTX_polar_coordinates

GLM_FUNC_DECL vec<3, T, Q> glm::polar | ( | vec< 3, T, Q > const & | euclidean | ) |

Convert Euclidean to Polar coordinates, x is the xz distance, y, the latitude and z the longitude.

See also
  GLM_GTX_polar_coordinates